<template>
  <div id="app">
    <Nav v-if="showNav()" />

    <router-view></router-view>
  </div>
</template>

<script>
import Nav from "@/components/Nav/Nav.vue";

export default {
  name: "App",
  components: {
    Nav
  },
  methods: {
    showNav() {
      if (
        this.$route.path === "/" ||
        this.$route.path === "/Login" ||
        this.$route.path === "/Regest"
      ) {
        return false;
      } else {
        return true;
      }
    }
  }
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
